import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';

import { Forderung } from './forderung';
import { MessageService } from './message.service';
import { serviceBaseUrl } from './config';

@Injectable({
  providedIn: 'root'
})
export class ForderungService {
  constructor(private messageService: MessageService, private http: HttpClient) { }
  
  getForderungenByMieter(mieterId: number): Promise<Forderung[]> {
    this.messageService.add(`ForderungService: fetched forderungen by mieter ${mieterId}`);
    return this.http.get<Forderung[]>(`${serviceBaseUrl}/hv/mieter/${mieterId}/forderungen`).toPromise()
  }

  getForderung(id: number): Promise<Forderung> {
    this.messageService.add(`ForderungService: fetch forderung id=${id}`);
    return this.http.get<Forderung>(`${serviceBaseUrl}/hv/forderung/${id}`).toPromise()
  }
}
