import { Component, OnInit } from '@angular/core';

import { Mieter } from '../mieter';
import { MieterService } from '../mieter.service';
import { MessageService } from '../message.service';


@Component({
  selector: 'app-mieters',
  templateUrl: './mieters.component.html',
  styleUrls: ['./mieters.component.css']
})
export class MietersComponent implements OnInit {

  mieters: Mieter[];

  selectedMieter : Mieter;

  constructor(private mieterService: MieterService, private messageService: MessageService) { }

  async getMieters() {
    try {
      this.mieters = await this.mieterService.getMieters();
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  ngOnInit(): void {
    this.getMieters();
  }
}
